Loading...
Searching...
No Matches
ON_ObjRef Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_objref.h>`

## Public Member Functions

| ON_ObjRef ()
| ON_ObjRef (const ON_ObjRef &src)
ON_ObjRef & | operator= (const ON_ObjRef &src)
| ~ON_ObjRef ()
void | Destroy ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)
void | DecrementProxyReferenceCount ()
void | SetProxy (ON_Object *proxy1, ON_Object *proxy2, bool bCountReferences)
bool | SetParentIRef (const ON_InstanceRef &iref, ON_UUID iref_id, int idef_geometry_index)
int | ProxyReferenceCount () const
const ON_Object * | ProxyObject (int proxy_object_index) const
void | RemapObjectId (const ON_SimpleArray< ON_UuidPair > &uuid_remap)

## Public Attributes

ON_UUID | m_uuid
const ON_Geometry * | m_geometry
const ON_Geometry * | m_parent_geometry
ON_COMPONENT_INDEX | m_component_index
int | m_geometry_type
unsigned int | m_runtime_sn
ON_3dPoint | m_point
ON::osnap_mode | m_osnap_mode
ON_ObjRefEvaluationParameter | m_evp
ON_SimpleArray< ON_ObjRef_IRefID > | m__iref

## Detailed Description

Definition at line 167 of file opennurbs_objref.h.

## Constructor & Destructor Documentation

## ON_ObjRef() [1/2]

ON_ObjRef::ON_ObjRef | ( |  | ) |

Referenced by ON_ObjRef(), and operator=().

## ON_ObjRef() [2/2]

ON_ObjRef::ON_ObjRef | ( | const ON_ObjRef & | src | ) |

References ON_ObjRef().

## ~ON_ObjRef()

ON_ObjRef::~ON_ObjRef | ( |  | ) |

## Member Function Documentation

## DecrementProxyReferenceCount()

void ON_ObjRef::DecrementProxyReferenceCount | ( |  | ) |

## Destroy()

void ON_ObjRef::Destroy | ( |  | ) |

## operator=()

ON_ObjRef & ON_ObjRef::operator= | ( | const ON_ObjRef & | src | ) |

References ON_ObjRef().

## ProxyObject()

const ON_Object * ON_ObjRef::ProxyObject | ( | int | proxy_object_index | ) | const

## ProxyReferenceCount()

int ON_ObjRef::ProxyReferenceCount | ( |  | ) | const

## Read()

bool ON_ObjRef::Read | ( | ON_BinaryArchive & |  | ) |

## RemapObjectId()

void ON_ObjRef::RemapObjectId | ( | const ON_SimpleArray< ON_UuidPair > & | uuid_remap | ) |

## SetParentIRef()

bool ON_ObjRef::SetParentIRef | ( | const ON_InstanceRef & | iref,
|  | ON_UUID | iref_id,
|  | int | idef_geometry_index )

## SetProxy()

void ON_ObjRef::SetProxy | ( | ON_Object * | proxy1,
|  | ON_Object * | proxy2,
|  | bool | bCountReferences )

## Write()

bool ON_ObjRef::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m__iref

ON_SimpleArray<ON_ObjRef_IRefID> ON_ObjRef::m__iref

Definition at line 248 of file opennurbs_objref.h.

## m_component_index

ON_COMPONENT_INDEX ON_ObjRef::m_component_index

Definition at line 217 of file opennurbs_objref.h.

## m_evp

ON_ObjRefEvaluationParameter ON_ObjRef::m_evp

Definition at line 241 of file opennurbs_objref.h.

## m_geometry

const ON_Geometry* ON_ObjRef::m_geometry

Definition at line 215 of file opennurbs_objref.h.

## m_geometry_type

int ON_ObjRef::m_geometry_type

Definition at line 218 of file opennurbs_objref.h.

## m_osnap_mode

ON::osnap_mode ON_ObjRef::m_osnap_mode

Definition at line 236 of file opennurbs_objref.h.

## m_parent_geometry

const ON_Geometry* ON_ObjRef::m_parent_geometry

Definition at line 216 of file opennurbs_objref.h.

## m_point

ON_3dPoint ON_ObjRef::m_point

Definition at line 232 of file opennurbs_objref.h.

## m_runtime_sn

unsigned int ON_ObjRef::m_runtime_sn

Definition at line 227 of file opennurbs_objref.h.

## m_uuid

ON_UUID ON_ObjRef::m_uuid

Definition at line 182 of file opennurbs_objref.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_objref.h